#include "MainWindow.h"
#include "ui_MainWindow.h"
#include <QSlider>
#include <QSpinBox>

MainWindow::MainWindow(QWidget *parent) :
	QMainWindow(parent),
	ui(new Ui::MainWindow)
{
	ui->setupUi(this);
	connect(ui->spinBox, SIGNAL(valueChanged(int)), slider_popup_window.slider(), SLOT(setValue(int)));
	connect(slider_popup_window.slider(), SIGNAL(valueChanged(int)), ui->spinBox, SLOT(setValue(int)));
}

MainWindow::~MainWindow()
{
	delete ui;
}

void MainWindow::on_toolButton_clicked()
{
	slider_popup_window.show();
	QRect r = ui->toolButton->frameGeometry();
	QPoint pt = ((QWidget *)ui->toolButton->parent())->mapToGlobal(r.bottomLeft());
	pt.rx() -= slider_popup_window.width() / 2;
	slider_popup_window.move(pt);
}
